micro_utils.dokka
0.15.1

# DeferredAction

class DeferredAction<T, O>(val deferred: Deferred<T>, val callback: suspend (T) -> O)

## Constructors

DeferredAction
Link copied to clipboard
fun <T, O> DeferredAction(deferred: Deferred<T>, callback: suspend (T) -> O)

## Functions

invoke
Link copied to clipboard
suspend operator fun invoke(): O

## Properties

callback
Link copied to clipboard
val callback: suspend (T) -> O
deferred
Link copied to clipboard
val deferred: Deferred<T>